package com.xhkjedu.smarking.controller.papercheck;

import com.xhkjedu.smarking.model.papercheck.MsPaperCheck;
import com.xhkjedu.smarking.service.papercheck.MsPaperCheckService;
import com.xhkjedu.utils.N_Utils;
import com.xhkjedu.vo.ResultVo;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.List;
import java.util.Map;

/**
 * @Description 阅卷试卷阅卷方式表相关操作
 * @Author auto
 * @Date 2024-10-15
 */
@RestController
@RequestMapping("/msPaperCheck")
public class MsPaperCheckController {
    @Resource
    private MsPaperCheckService msPaperCheckService;

    /**
     * @Description 设置评卷方式
     * @Date 2024/10/24 14:16
     * @Author YWX
     * @Param [msPaperCheck]
     * @Return com.xhkjedu.vo.ResultVo
     **/
    @PostMapping("/set_check_type")
    public ResultVo setCheckType(@RequestBody MsPaperCheck msPaperCheck) {
        N_Utils.validation(new Object[]{
                msPaperCheck.getMpid(), "试卷id", 1
                , msPaperCheck.getMblockid(), "题块id", 1
                , msPaperCheck.getChecktype(), "评卷方式", 1
        });
        msPaperCheckService.add(msPaperCheck);
        return new ResultVo(0, "设置成功");
    }

    /**
     * @Description 阅卷分配列表
     * @Date 2024/10/24 14:19
     * @Author YWX
     * @Param [msPaperCheck]
     * @Return com.xhkjedu.vo.ResultVo
     **/
    @PostMapping("/list_paper_check")
    public ResultVo listPaperCheck(@RequestBody MsPaperCheck msPaperCheck) {
        Integer mpid = msPaperCheck.getMpid();
        N_Utils.validation(new Object[]{
                mpid, "试卷id", 1
        });
        List<Map> list = msPaperCheckService.listPaperCheck(mpid);
        return new ResultVo(0, "查询成功", list);
    }

    /**
     * @Description 设置仲裁教师
     * @Date 2024/10/24 14:40
     * @Author YWX
     * @Param [msPaperCheck]
     * @Return com.xhkjedu.vo.ResultVo
     **/
    @PostMapping("/set_arbitrate")
    public ResultVo setArbitrate(@RequestBody MsPaperCheck msPaperCheck) {
        N_Utils.validation(new Object[]{
                msPaperCheck.getMpid(), "试卷id", 1
                , msPaperCheck.getMblockid(), "题块id", 1
                , msPaperCheck.getArbitrateid(), "仲裁教师id", 1
        });
        msPaperCheckService.setArbitrate(msPaperCheck);
        return new ResultVo(0, "设置成功");
    }

    /**
     * @Description 设置阅卷教师
     * @Date 2024/10/24 15:24
     * @Author YWX
     * @Param [msPaperCheck]
     * @Return com.xhkjedu.vo.ResultVo
     **/
    @PostMapping("/set_check_teacher")
    public ResultVo setCheckTeacher(@RequestBody MsPaperCheck msPaperCheck) {
        N_Utils.validation(new Object[]{
                msPaperCheck.getMpid(), "试卷id", 1
                , msPaperCheck.getMblockid(), "题块id", 1
                , msPaperCheck.getTeachers(), "阅卷教师", 3
        });
        msPaperCheckService.setCheckTeacher(msPaperCheck);
        return new ResultVo(0, "设置成功");
    }

    /**
     * @Description 设置分配方式
     * @Date 2024/10/24 15:42
     * @Author YWX
     * @Param [msPaperCheck]
     * @Return com.xhkjedu.vo.ResultVo
     **/
    @PostMapping("/set_dispense_way")
    public ResultVo setDispenseWay(@RequestBody MsPaperCheck msPaperCheck) {
        N_Utils.validation(new Object[]{
                msPaperCheck.getMpid(), "试卷id", 1
                , msPaperCheck.getMblockid(), "题块id", 1
                , msPaperCheck.getDispenseway(), "分配方式", 1
        });
        msPaperCheckService.setDispenseWay(msPaperCheck);
        return new ResultVo(0, "设置成功");
    }
}
