package com.xhkjedu.smarking.controller.papercheck;

import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import com.xhkjedu.smarking.model.papercheck.MsPaperCheckTeacherScoreset;
import com.xhkjedu.smarking.service.papercheck.MsPaperCheckTeacherScoresetService;
import com.xhkjedu.utils.N_Utils;
import com.xhkjedu.utils.PageUtil;
import com.xhkjedu.vo.PageResult;
import com.xhkjedu.vo.ResultVo;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.List;

/**
 * @Description 阅卷批阅教师常用分设置表相关操作
 * @Author auto
 * @Date 2024-10-15
 */
@RestController
@RequestMapping("/msPaperCheckTeacherScoreset")
public class MsPaperCheckTeacherScoresetController {
    @Resource
    private MsPaperCheckTeacherScoresetService msPaperCheckTeacherScoresetService;

    /**
     * @Description 新增
     * @Param [msPaperCheckTeacherScoreset]
     * @Author auto
     * @Date 2024-10-15
     * @return com.xhkjedu.vo.ResultVo
     **/
    @PostMapping("/save")
    public ResultVo save(@RequestBody MsPaperCheckTeacherScoreset msPaperCheckTeacherScoreset) {
        msPaperCheckTeacherScoresetService.add(msPaperCheckTeacherScoreset);
        return new ResultVo(0, "保存成功！");
    }

    /**
     * @Description 列表
     * @Param [msPaperCheckTeacherScoreset]
     * @Author auto
     * @Date 2024-10-15
     * @return com.xhkjedu.vo.ResultVo
     **/
    @PostMapping("/list")
    public ResultVo queryList(@RequestBody MsPaperCheckTeacherScoreset msPaperCheckTeacherScoreset) {
        Integer page = msPaperCheckTeacherScoreset.getPage();
        Integer size = msPaperCheckTeacherScoreset.getPageSize();
        N_Utils.validation(new Object[]{page, "显示页码", 1, size, "显示条数", 1});
        PageHelper.startPage(page, size);
        List<MsPaperCheckTeacherScoreset> list = msPaperCheckTeacherScoresetService.queryList(msPaperCheckTeacherScoreset);
        PageResult pageResult = PageUtil.getPageResult(new PageInfo<>(list));
        return new ResultVo(0, "查询成功！", pageResult);
    }
}
