package com.xhkjedu.smarking.controller.scan;

import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import com.xhkjedu.smarking.model.scan.MsScanbatch;
import com.xhkjedu.smarking.model.scan.MsScanbatchPaper;
import com.xhkjedu.smarking.service.scan.MsScanbatchService;
import com.xhkjedu.utils.N_Utils;
import com.xhkjedu.utils.PageUtil;
import com.xhkjedu.vo.PageResult;
import com.xhkjedu.vo.ResultVo;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.List;
import java.util.Map;

/**
 * @Description 阅卷答题卡扫描批次表相关操作
 * @Author auto
 * @Date 2024-10-15
 */
@RestController
@RequestMapping("/mscan")
public class MsScanbatchController {
    @Resource
    private MsScanbatchService msScanbatchService;

    /**
     * @Description 新增
     * @Param [msScanbatch]
     * @Author auto
     * @Date 2024-10-15
     * @return com.xhkjedu.vo.ResultVo
     **/
    @PostMapping("/save")
    public ResultVo save(@RequestBody MsScanbatch msScanbatch) {
        N_Utils.validation(new Object[]{msScanbatch.getMpid(), "试卷id", 1});
        Map<String,Object> map = msScanbatchService.save(msScanbatch);
        return new ResultVo(0, "保存成功", map);
    }

    /*
     * @Description 批次下试卷
     * @Date 2024/10/24 16:30:20
     * @Author WN
     * @Param [msScanbatch]
     * @Return com.xhkjedu.vo.ResultVo
     **/
    @PostMapping("/papers")
    public ResultVo listPaperByBatchid(@RequestBody MsScanbatch msScanbatch) {
        Integer page = msScanbatch.getPage();
        Integer pageSize = msScanbatch.getPageSize();
        N_Utils.validation(new Object[]{page, "显示页码", 1, pageSize, "显示条数", 1,msScanbatch.getBatchid(), "批次id", 1});
        PageHelper.startPage(page, pageSize);
        List<MsScanbatchPaper> papers = msScanbatchService.listPaperByBatchid(msScanbatch.getBatchid());
        PageResult pageResult = PageUtil.getPageResult(new PageInfo<>(papers));
        return new ResultVo(0, "获取成功", pageResult);
    }

    /*
     * @Description 扫描答卷
     * @Date 2024/10/24 15:12:56
     * @Author WN
     * @Param [msScanbatch]
     * @Return com.xhkjedu.vo.ResultVo
     **/
    @PostMapping("/scan_paper")
    public ResultVo getExamScanPaper(@RequestBody MsScanbatch msScanbatch) {
        Integer mpid = msScanbatch.getMpid();
        N_Utils.validation(new Object[]{mpid, "试卷id", 1});
        Map<String, Object> map = msScanbatchService.getExamPaperScanInfo(mpid);
        return new ResultVo(0, "查询成功", map);
    }
}
