package com.xhkjedu.smarking.controller.scan;

import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import com.xhkjedu.smarking.model.scan.MsScanbatchPaper;
import com.xhkjedu.smarking.service.scan.MsScanbatchPaperService;
import com.xhkjedu.utils.N_Utils;
import com.xhkjedu.utils.PageUtil;
import com.xhkjedu.vo.PageResult;
import com.xhkjedu.vo.ResultVo;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.List;

/**
 * @Description 批阅扫描试卷表相关操作
 * @Author auto
 * @Date 2024-10-15
 */
@RestController
@RequestMapping("/msScanbatchPaper")
public class MsScanbatchPaperController {
    @Resource
    private MsScanbatchPaperService msScanbatchPaperService;

    /**
     * @Description 新增
     * @Param [msScanbatchPaper]
     * @Author auto
     * @Date 2024-10-15
     * @return com.xhkjedu.vo.ResultVo
     **/
    @PostMapping("/save")
    public ResultVo save(@RequestBody MsScanbatchPaper msScanbatchPaper) {
        msScanbatchPaperService.add(msScanbatchPaper);
        return new ResultVo(0, "保存成功！");
    }

    /**
     * @Description 列表
     * @Param [msScanbatchPaper]
     * @Author auto
     * @Date 2024-10-15
     * @return com.xhkjedu.vo.ResultVo
     **/
    @PostMapping("/list")
    public ResultVo queryList(@RequestBody MsScanbatchPaper msScanbatchPaper) {
        Integer page = msScanbatchPaper.getPage();
        Integer size = msScanbatchPaper.getPageSize();
        N_Utils.validation(new Object[]{page, "显示页码", 1, size, "显示条数", 1});
        PageHelper.startPage(page, size);
        List<MsScanbatchPaper> list = msScanbatchPaperService.queryList(msScanbatchPaper);
        PageResult pageResult = PageUtil.getPageResult(new PageInfo<>(list));
        return new ResultVo(0, "查询成功！", pageResult);
    }
}
