package com.xhkjedu.smarking.mapper.paper;

import com.xhkjedu.base.TkMapper;
import com.xhkjedu.smarking.model.paper.MsPaper;
import com.xhkjedu.smarking.vo.paper.PExamSubjectVo;
import org.apache.ibatis.annotations.Param;

import java.util.Map;
import java.util.List;


/**
 * @Description 阅卷试卷表 Mapper 接口
 * @Author auto
 * @Date 2024-10-15
 */
public interface MsPaperMapper extends TkMapper<MsPaper> {

    //设置试卷中试题数量
    int updatePaperInfo(@Param("paper") MsPaper paper);

    //更新试卷答案设置状态
    int updatePaperAnswer(@Param("answered") Integer answered,@Param("mpid") Integer mpid);

    //获取试卷详情
    Map<String,Object> getPaperInfoByMsid(@Param("msid") Integer msid);

    //获取考试科目对应考试状态信息
    PExamSubjectVo getExamSubjectForPaper(@Param("mpid")Integer mpid);

    //删除试卷对应模板及题块
    int deleteTemplageBlockByMpid(@Param("mpid") Integer mpid);

    //获取考试试卷题量和分值
    List<MsPaper> listNumAndScoreByExamId(@Param("examid") Integer examid);

    //教师出卷列表
    List<Map<String,Object>> listExamPapersByTeacherid(@Param("teacherid") Integer teacherid, @Param("esstate") Integer esstate
            ,@Param("strtime") String strtime);

    //根据试卷id获取考试状态
    Integer getExamStateByMpid(@Param("mpid") Integer mpid);

    //根据科目id获取试卷基础信息
    MsPaper getPaperBaseByMsid(@Param("msid") Integer msid);

    //根据考试id和科目id获取试卷信息
    MsPaper getPaperByExamIdAndSubjectId(@Param("examId") Integer examId, @Param("subjectId") String subjectId);

    //根据试卷ID获取考试ID
    Integer getExamidByMpid(@Param("mpid") Integer mpid);
}
