package com.xhkjedu.smarking.service.exam;

import com.xhkjedu.smarking.mapper.exam.MsExamMapper;
import com.xhkjedu.smarking.mapper.exam.MsSubjectMapper;
import com.xhkjedu.smarking.model.exam.MsSubject;
import com.xhkjedu.utils.N_Utils;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;
import java.util.Map;

/**
 * @Description 阅卷考试科目表 服务实现类
 * @Author auto
 * @Date 2024-10-15
 */
@Service
public class MsSubjectService {
    @Resource
    private MsSubjectMapper msSubjectMapper;
    @Resource
    private MsExamMapper msExamMapper;

    /**
     * @Description 考试进度总览
     * @Date 2024/10/17 14:50
     * @Author YWX
     * @Param [subject]
     * @Return java.util.List<java.util.Map>
     **/
    public List<Map> examOverview(MsSubject subject) {
        return msSubjectMapper.examOverview(subject);
    }

    public void updateById(MsSubject msSubject) {
        msSubject.setHandletime(N_Utils.getSecondTimestamp());
        msSubjectMapper.updateByPrimaryKeySelective(msSubject);
    }

    /**
     * @Description 设置考试时间
     * @Date 2024/10/17 16:02
     * @Author YWX
     * @Param [exam]
     * @Return void
     **/
    public void setExamDate(List<MsSubject> subjects, Integer handleid) {
        int timestamp = N_Utils.getSecondTimestamp();
        msSubjectMapper.setExamDate(subjects, handleid, timestamp);
    }

    /*
     * @Description 获取考下是学科组长权限科目
     * @Date 2024/10/18 15:10:06
     * @Author WN
     * @Param [examid, leaderid]
     * @Return java.util.Map<java.lang.String,java.lang.Object>
     **/
    public Map<String,Object> getExamAndSubjectByLeaderid(Integer examid,Integer leaderid){
        return msSubjectMapper.getExamLeadSubjects(examid,leaderid);
    }
}
