package com.xhkjedu.smarking.service.scan;

import com.xhkjedu.smarking.mapper.exam.MsClassMapper;
import com.xhkjedu.smarking.mapper.paper.MsPaperMapper;
import com.xhkjedu.smarking.mapper.scan.MsScanbatchMapper;
import com.xhkjedu.smarking.mapper.scan.MsScanbatchPaperMapper;
import com.xhkjedu.smarking.model.scan.MsScanbatch;
import com.xhkjedu.smarking.model.scan.MsScanbatchPaper;
import com.xhkjedu.utils.N_Utils;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * @Description 阅卷答题卡扫描批次表 服务实现类
 * @Author auto
 * @Date 2024-10-15
 */
@Service
public class MsScanbatchService {
    @Resource
    private MsScanbatchMapper msScanbatchMapper;
    @Resource
    private MsPaperMapper msPaperMapper;
    @Resource
    private MsScanbatchPaperMapper msScanbatchPaperMapper;
    @Resource
    private MsClassMapper msClassMapper;

    /**
     * @Description 新增扫描批次
     * @Param [msScanbatch]
     * @Author auto
     * @Date 2024-10-15
     * @return void
     **/
    public Map<String,Object> save(MsScanbatch msScanbatch){
        String batchname = msScanbatch.getDevice() + "-" + msScanbatch.getMpid() + "-";
        Integer batchnum = msScanbatchMapper.getBatchNumByBatchname(batchname);
        if(!N_Utils.isTrueInteger(batchnum)){
            batchnum = 1;
        }else{
            batchnum ++;
        }
        batchname += batchnum;
        Integer examid = msPaperMapper.getExamidByMpid(msScanbatch.getMpid());
        msScanbatch.setBatchname(batchname);
        msScanbatch.setExamid(examid);
        msScanbatch.setCreatetime(N_Utils.getSecondTimestamp());
        msScanbatch.setBatchnum(0);
        msScanbatch.setScannum(0);
        msScanbatch.setUploadnum(0);
        msScanbatch.setIdentifynum(0);
        msScanbatchMapper.insertUseGeneratedKeys(msScanbatch);

        Map<String,Object> map = new HashMap<>();
        map.put("batchname",batchname);
        map.put("batchid",msScanbatch.getId());
        return map;
    }

    /*
     * @Description 获取批次下所有试卷
     * @Date 2024/10/24 16:25:47
     * @Author WN
     * @Param [batchid]
     * @Return java.util.List<com.xhkjedu.smarking.model.scan.MsScanbatchPaper>
     **/
    public List<MsScanbatchPaper> listPaperByBatchid(Integer batchid){
        return msScanbatchPaperMapper.listPaperByBatchid(batchid);
    }

    /*
     * @Description 扫描答题卡
     * @Date 2024/10/24 15:09:33
     * @Author WN
     * @Param [mpid]
     * @Return java.util.Map<java.lang.String,java.lang.Object>
     **/
    public Map<String,Object> getExamPaperScanInfo(Integer mpid){
        Map<String,Object> map = msScanbatchMapper.getExamPaperScanInfo(mpid);
        Map<String,Object> rtnMap = new HashMap<>();
        rtnMap.put("paper",map);
        rtnMap.put("scans",msScanbatchMapper.listScanBatchForPaper(mpid));
        return rtnMap;
    }

    public Map<String,Object> getScanRecordAndClass(Integer mpid){
        Map<String,Object> map = null;

        //试卷扫描批次集合
        List<Map<String,Object>> scans = msScanbatchMapper.listScanBatchByMpidForSel(mpid);
        //参加考试的班级

        return map;
    }

}
